﻿var $safeprojectname$;
(function ($safeprojectname$) {
    "use strict";
    WinJS.Binding.optimizeBindingReferences = true;
    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var nav = WinJS.Navigation;
    app.onactivated = function (args) {
        if(args.detail.kind === activation.ActivationKind.launch) {
            if(args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
            } else {
            }
            if(app.sessionState.history) {
                nav.history = app.sessionState.history;
            }
            args.setPromise(WinJS.UI.processAll().then(function () {
                if(nav.location) {
                    nav.history.current.initialPlaceholder = true;
                    return nav.navigate(nav.location, nav.state);
                } else {
                    return nav.navigate(Application.navigator.home);
                }
            }));
        }
    };
    app.oncheckpoint = function (args) {
        app.sessionState.history = nav.history;
    };
    app.start();
})($safeprojectname$ || ($safeprojectname$ = {}));

